---

nginx_vhosts_nxt:
  # HTTP
  # ssl: false
  # LE: false
  default:
    # Set to True if you want to redirect http to https
    ssl:
      enabled: false

  nginx-status:
    filename: 00-status
    state: present  # default: present
    enabled: true   # default: true
    # domain(s)
    domains:
      - localhost
    # listen
    listen: 127.0.0.1:8088
    # locations
    locations:
      "/nginx_status":
        options: |
          stub_status on;
          access_log off;
          allow 127.0.0.1;
          deny all;


  # HTTP
  # enabled
  # present
  10-registry.cm.local:
    state: absent
    enabled: false

    domains:
      - registry.cm.local

    redirect:
      from_port: 80

    listen:
      - 443 ssl http2

    ssl:
      enabled: true
      certificate:     /etc/coremedia/snakeoil/cm.local/cm.local.pem
      certificate_key: /etc/coremedia/snakeoil/cm.local/cm.local.key

    root:  /var/www/registry.cm.local

    logfiles:
      access:
        file: /var/log/nginx/registry.cm.local/access.log
        loglevel: 'json_analytics'
      error:
        file: /var/log/nginx/registry.cm.local/error.log
        loglevel: notice

    # list of upstream servers
    upstreams:
      - name: backend_registry
        servers:
          - 127.0.0.1:5000  max_fails=3 fail_timeout=30s
        # strategy: 'ip_hash'
        # keepalive: 32

      - name: backend_registry_metrics
        servers:
          - 127.0.0.1:5001  max_fails=3 fail_timeout=30s

      - name: backend_registry_ui
        servers:
          - 127.0.0.1:8000  max_fails=3 fail_timeout=30s

    locations:
      "/metrics":
        options: |
          add_header X-Backend "registry-metrics";

          proxy_pass http://backend_registry_metrics;
          proxy_http_version 1.1;

          proxy_set_header Upgrade $http_upgrade;
          proxy_set_header Connection "upgrade";

          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto https;
          proxy_set_header Host $host;

          proxy_redirect off;

      "/":
        options: |
          add_header X-Backend "registry-ui";

          proxy_pass http://backend_registry_ui/;
          proxy_http_version 1.1;

          proxy_set_header Upgrade $http_upgrade;
          proxy_set_header Connection "upgrade";

          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto https;
          proxy_set_header Host $host;

          proxy_redirect off;

      "/v2/":
        options: |
          add_header X-Backend "registry";

          proxy_pass http://backend_registry;
          proxy_http_version 1.1;

          proxy_set_header Upgrade $http_upgrade;
          proxy_set_header Connection "upgrade";

          proxy_set_header X-Real-IP $remote_addr;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
          proxy_set_header X-Forwarded-Proto https;
          proxy_set_header Host $host;

          proxy_redirect off;


...
